
Infrastructure - Task #1124

Story # 1086 (Closed): Create a common test resources location

move common test resources to own package under /software/cicore/{trunk/}

2010-11-30 23:15 - Rob Nahf

Status: Closed Start date: 2010-11-30

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: Documentation Estimated time: 3.00 hours

Target version: Sprint-2011.22-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

moving common test resources to own package allows more seamless usage by unit tests in all of the other java packages (via

getResourceAsStream()).  Need to create a new directory structure and add it as a dependency to d1_common_java pom.xml.   use

the standard maven directory structure (src/test/resources).  Create new resources and see if they can be accessed by

d1_integration, d1_common_java, d1_libclient_java, etc.)

Related issues:

Blocks Infrastructure - Story #1090: Consolidate common test resources into n... Closed

History

#1 - 2011-05-02 17:01 - Rob Nahf

- Status changed from New to Rejected

keeping the location in d1_integration

#2 - 2011-05-02 17:06 - Matthew Jones

- Status changed from Rejected to In Progress

#3 - 2011-05-02 20:20 - Rob Nahf

following instructions for maven-remote-resource-bundles

http://maven.apache.org/plugins/maven-remote-resources-plugin/examples/sharing-resources.html

#4 - 2011-05-02 22:29 - Rob Nahf

the shared resource mechanism blocks automatic "inheritance" of the resources.  getResourcesAsStream() doesn't seem to need this mechanism, so

simply leaving the resources in the src/main/resources directory.  (src/test/resources doesn't seem to work).

committed the package d1_test_resources

added it as a dependency to d1_common_java and wrote unit test for it - still need to get it working (not working from command line)

#5 - 2011-05-02 22:29 - Rob Nahf

- translation missing: en.field_remaining_hours set to 2.0

#6 - 2011-05-04 16:14 - Rob Nahf

Status

* tested inheritance issues (availability of these resources from package that depends on d1_common_java), and the transitive inheritance does work.
http://maven.apache.org/plugins/maven-remote-resources-plugin/examples/sharing-resources.html


* d1_test_resources is a dependency of d1_common_java (scope = runtime), and needs to be included in any buildout scripts that deploy

d1_common_java (if tests need to pass).

* developers will need to checkout and install this package to put the jar in local maven repository.

Next step is Hudson configuration.  (hudson needs to checkout and install)

#7 - 2011-05-04 16:14 - Rob Nahf

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours changed from 2.0 to 0.0
